curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ssl_mode": "off",
"always_use_https": true,
"min_tls_version": "1.0",
"automatic_https_rewrites": true,
"cache_level": "bypass",
"browser_cache_ttl": 15768000,
"development_mode": true,
"security_level": "essentially_off",
"rocket_loader": true,
"early_hints": true,
"minify_js": true,
"minify_css": true,
"minify_html": true
}
'{
"ssl_mode": "off",
"always_use_https": true,
"min_tls_version": "1.0",
"automatic_https_rewrites": true,
"cache_level": "bypass",
"browser_cache_ttl": 2147483647,
"development_mode": true,
"security_level": "essentially_off",
"rocket_loader": true,
"early_hints": true,
"minify_js": true,
"minify_css": true,
"minify_html": true
}Update the configuration settings for a DNS zone. Changes are applied to both the local database and synchronized with the DNS provider. Available settings include SSL/TLS mode, HTTPS enforcement, cache levels, security settings, and performance optimizations.
curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ssl_mode": "off",
"always_use_https": true,
"min_tls_version": "1.0",
"automatic_https_rewrites": true,
"cache_level": "bypass",
"browser_cache_ttl": 15768000,
"development_mode": true,
"security_level": "essentially_off",
"rocket_loader": true,
"early_hints": true,
"minify_js": true,
"minify_css": true,
"minify_html": true
}
'{
"ssl_mode": "off",
"always_use_https": true,
"min_tls_version": "1.0",
"automatic_https_rewrites": true,
"cache_level": "bypass",
"browser_cache_ttl": 2147483647,
"development_mode": true,
"security_level": "essentially_off",
"rocket_loader": true,
"early_hints": true,
"minify_js": true,
"minify_css": true,
"minify_html": true
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
The unique identifier (UUID) of the DNS zone
off - offflexible - flexiblefull - fullfull_strict - full strictoff, flexible, full, full_strict 1.0 - 1.01.1 - 1.11.2 - 1.21.3 - 1.31.0, 1.1, 1.2, 1.3 bypass - bypassno_query_string - no query stringignore_query_string - ignore query stringstandard - standardaggressive - aggressivebypass, no_query_string, ignore_query_string, standard, aggressive 0 <= x <= 31536000essentially_off - essentially offlow - lowmedium - mediumhigh - highunder_attack - under attackessentially_off, low, medium, high, under_attack DNS zone settings updated successfully
off - offflexible - flexiblefull - fullfull_strict - full strictoff, flexible, full, full_strict 1.0 - 1.01.1 - 1.11.2 - 1.21.3 - 1.31.0, 1.1, 1.2, 1.3 bypass - bypassno_query_string - no query stringignore_query_string - ignore query stringstandard - standardaggressive - aggressivebypass, no_query_string, ignore_query_string, standard, aggressive 0 <= x <= 4294967295essentially_off - essentially offlow - lowmedium - mediumhigh - highunder_attack - under attackessentially_off, low, medium, high, under_attack